var es6simpleguid = {};
export default es6simpleguid;

var guid;

es6simpleguid.init = function() {
	guid = 1;
};

es6simpleguid.increaseCounter = function() {
	guid++;
};

es6simpleguid.getNext = function() {
	var nextGuid = guid;
	this.increaseCounter();
	return nextGuid;
};

es6simpleguid.init();

// moduł ten jest ładowany z innego pliku przy użyciu:
// import es6simpleguid from 'es6simpleguid';
// console.log(es6simpleguid.getNext());
